.van-checkbox {
	overflow: hidden;
	-webkit-user-select: none;
	user-select: none
}

.van-checkbox__icon,.van-checkbox__label {
	display: inline-block;
	vertical-align: middle;
	line-height: 20px
}

.van-checkbox__icon .van-icon {
	font-size: 12px;
	color: transparent;
	text-align: center;
	line-height: inherit;
	border: 1px solid #e5e5e5;
	width: 20px;
	height: 20px;
	box-sizing: border-box;
	-webkit-transition: .2s;
	transition: .2s
}

.van-checkbox__icon--round .van-icon {
	border-radius: 100%
}

.van-checkbox__icon--checked .van-icon {
	color: #fff;
	border-color: #1989fa;
	background-color: #1989fa
}

.van-checkbox__icon--disabled .van-icon {
	color: #f8f8f8;
	border-color: #eee;
	background-color: currentColor
}

.van-checkbox__icon--disabled.van-checkbox__icon--checked .van-icon {
	border-color: #eee;
	background-color: #eee
}

.van-checkbox__label {
	margin-left: 10px
}

.van-checkbox__label--left {
	float: left;
	margin: 0 10px 0 0
}

.van-checkbox__icon .van-icon {
	width: 18px;
	height: 18px;
	line-height: 18px;
	border-color: #bbb
}

.icon-shop {
	display: inline-block;
	float: left;
	width: 18px;
	height: 50px;
	margin-right: 5px;
	background-image: url(./images/cake-icon.png);
	background-size: 18px;
	background-position: 50%
}

.icon-arrow,.icon-shop {
	background-repeat: no-repeat
}

.vm-input {
	width: 270px;
	height: 54px;
	position: relative
}

.vm-input__label {
	position: absolute;
	top: 1px;
	left: 10px;
	line-height: 45px;
	z-index: 1;
	color: #666;
	font-size: 14px
}

.vm-input__input {
	width: 100%;
	box-sizing: border-box;
	line-height: 18px;
	padding: 12px 10px 12px 68px;
	border: 1px solid #ddd;
	border-radius: 5px;
	font-size: 14px;
	outline: none;
	opacity: 1;
	-webkit-appearance: none
}

input[disabled=disabled] {
	background: #f8f8f8
}

.cap-captcha {
	padding-right: 100px;
	position: relative;
	background-color: #fff;
	line-height: 30px
}

.cap-captcha__input {
	-webkit-appearance: none;
	box-sizing: border-box;
	width: 100%;
	line-height: 24px;
	border: 0;
	margin: 0;
	padding: 0;
	outline: 0;
	font-size: 14px
}

.cap-captcha .captcha-button {
	position: absolute;
	top: 0;
	right: 0;
	padding: 0 12px;
	border-radius: 2px
}

.cap-captcha .captcha-button.van-button--disabled {
	color: #fff;
	border-color: #b2b2b2;
	background-color: #b2b2b2
}

.cap-image-captcha {
	width: 85%;
	border-radius: 4px
}

.cap-image-captcha .van-dialog__header {
	border-radius: 4px 4px 0 0;
	text-align: left;
	padding-top: 20px;
	padding-left: 20px;
	padding-bottom: 17px;
	font-weight: 700;
	font-size: 20px
}

.cap-image-captcha .van-dialog__footer {
	border-radius: 0 0 4px 4px
}

.cap-image-captcha .captcha-input {
	position: relative;
	border-bottom: 1px solid #e5e5e5;
	padding: 2px 90px 7px 0;
	margin: 2px 20px 30px
}

.cap-image-captcha .captcha-input input {
	display: block;
	width: 100%;
	box-sizing: border-box;
	line-height: 24px;
	padding: 4px 8px;
	-webkit-appearance: none;
	border: 0;
	outline: 0;
	font-size: 14px
}

.cap-image-captcha .captcha-input input: :-webkit-input-placeholder {
	font-size: 14px;
	color: #ccc
}

.cap-image-captcha .captcha-input input: :placeholder {
	font-size: 14px;
	color: #ccc
}

.cap-image-captcha .captcha-input img {
	position: absolute;
	top: 2px;
	right: 2px;
	width: 80px;
	height: auto
}

.captcha {
	position: relative;
	height: 54px
}

.captcha input {
	width: 178px;
	line-height: 18px;
	box-sizing: border-box;
	padding: 12px 10px 12px 68px;
	border: 1px solid #ddd;
	border-radius: 5px;
	font-size: 14px;
	outline: none;
	opacity: 1;
	-webkit-appearance: none
}

.captcha .captcha-label {
	position: absolute;
	top: 1px;
	left: 10px;
	line-height: 45px;
	z-index: 1;
	color: #666;
	font-size: 14px
}

.captcha .captcha-button {
	width: 80px;
	color: #06bf04 !important;
	border-color: #0c3 !important;
	padding: 0 4px !important;
	height: 44px;
	line-height: 44px;
	border-radius: 5px !important
}

.captcha .van-button--disabled {
	background-color: #ddd !important;
	border: 1px solid transparent !important;
	color: #fff !important
}

.cap-captcha {
	padding-right: 0 !important
}

.login-pop {
	padding: 15px
}

.header {
	width: 270px;
	margin-bottom: 10px;
	text-align: center
}

.header h2 {
	font-weight: 400;
	padding-bottom: 16px;
	color: #06bf04;
	font-size: 16px;
	line-height: 16px;
	position: relative
}

.vm-action__button {
	width: 100%;
	margin-top: 10px;
	height: 40px;
	line-height: 40px
}

.vm-action__button:focus {
	outline: 5px auto -webkit-focus-ring-color
}

.err-msg {
	font-size: 12px;
	line-height: 14px;
	color: #f60
}

.help-msg {
	color: #f60;
	line-height: 12px;
	margin-top: 16px
}

.help-msg a {
	color: #38f
}

.help-msg a:focus {
	outline: 5px auto -webkit-focus-ring-color
}

.help-msg .pull-right {
	float: right
}

.help-msg .left-item {
	padding: 0 10px;
	border-right: 1px solid #e5e5e5;
	font-size: 12px
}

.help-msg .right-item {
	padding: 0 0 0 10px
}

.vm-init,.vm-login,.vm-register {
	padding-top: 10px
}

.empty-list {
	padding-top: 60px;
	text-align: center
}

.empty-list h2 {
	font-size: 16px;
	color: #666;
	margin-bottom: 10px;
	font-weight: 400
}

.empty-list .desc {
	font-size: 14px;
	color: #999
}

.empty-list .go-homepage-btn {
	box-sizing: border-box;
	width: 104px;
	height: 36px;
	line-height: 18px;
	padding: 8px 0;
	font-size: 14px;
	border: 1px solid #f60;
	margin: 30px auto 0;
	color: #f60;
	border-radius: 3px
}

.empty-list .go-homepage-btn a {
	display: block;
	color: #f60
}

.van-swipe-cell {
	overflow: hidden;
	position: relative
}

.van-swipe-cell__left,.van-swipe-cell__right {
	top: 0;
	height: 100%;
	position: absolute
}

.van-swipe-cell__left {
	left: 0;
	-webkit-transform: translate3d(-100%, 0, 0);
	transform: translate3d(-100%, 0, 0)
}

.van-swipe-cell__right {
	right: 0;
	-webkit-transform: translate3d(100%, 0, 0);
	transform: translate3d(100%, 0, 0)
}

.van-stepper {
	font-size: 0
}

.van-stepper__minus,.van-stepper__plus {
	width: 40px;
	height: 30px;
	box-sizing: border-box;
	background-color: #fff;
	border: 1px solid #eee;
	position: relative;
	padding: 5px;
	vertical-align: middle
}

.van-stepper__minus:before,.van-stepper__plus:before {
	width: 9px;
	height: 1px
}

.van-stepper__minus:after,.van-stepper__plus:after {
	width: 1px;
	height: 9px
}

.van-stepper__minus:after,.van-stepper__minus:before,.van-stepper__plus:after,.van-stepper__plus:before {
	content: "";
	position: absolute;
	margin: auto;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #666
}

.van-stepper__minus:active,.van-stepper__plus:active {
	background-color: #e8e8e8
}

.van-stepper__minus--disabled,.van-stepper__plus--disabled {
	background-color: #f8f8f8
}

.van-stepper__minus--disabled:after,.van-stepper__minus--disabled:before,.van-stepper__plus--disabled:after,.van-stepper__plus--disabled:before {
	background-color: #c9c9c9
}

.van-stepper__minus--disabled:active,.van-stepper__plus--disabled:active {
	background-color: #f8f8f8
}

.van-stepper__minus {
	border-radius: 2px 0 0 2px
}

.van-stepper__minus:after {
	display: none
}

.van-stepper__plus {
	border-radius: 0 2px 2px 0
}

.van-stepper__input {
	width: 33px;
	height: 26px;
	padding: 1px;
	border: 1px solid #eee;
	border-width: 1px 0;
	border-radius: 0;
	box-sizing: content-box;
	color: #666;
	font-size: 14px;
	vertical-align: middle;
	text-align: center;
	-webkit-appearance: none
}

.van-stepper__input[disabled] {
	color: #c9c9c9;
	background-color: #f8f8f8
}

.van-stepper input[type=number]::-webkit-inner-spin-button,.van-stepper input[type=number]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin: 0
}

.goods {
	background: #fafafa;
	margin-bottom: 10px;
	position: relative
}

.goods:last-child {
	margin-bottom: 0
}

.goods .van-checkbox {
	float: left;
	height: 100px;
	width: 40px;
	text-align: center;
	line-height: 100px
}

.goods .goods-img-wrap {
	width: 90px;
	height: 90px;
	float: left;
	position: relative;
	margin-left: auto;
	margin-right: auto;
	overflow: hidden;
	background-size: cover
}

.goods .goods-img {
	position: absolute;
	margin: auto;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: auto;
	height: auto;
	max-width: 100%;
	max-height: 100%
}

.goods .input-num {
	padding-bottom: 10px
}

.goods .goods-card {
	box-sizing: border-box;
	min-height: 100px;
	padding: 5px 10px 5px 0;
	margin-left: 40px
}

.goods .goods-card a {
	display: block
}

.goods .goods-name {
	color: #333;
	font-size: 14px;
	line-height: 20px;
	height: 40px;
	display: -webkit-box;
	overflow: hidden;
	text-overflow: ellipsis;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical
}

.goods .period-buy-tag {
	display: inline-block;
	font-size: 10px;
	width: 38px;
	line-height: 16px;
	text-align: center;
	color: #fff;
	border-radius: 2px;
	background: #f44
}

.goods .desc-wrap {
	margin-left: 98px
}

.goods .sku-str {
	height: 20px;
	line-height: 16px;
	font-size: 12px;
	color: #666;
	margin-bottom: 2px;
	word-break: keep-all;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis
}

.goods .edit-sku-str {
	width: 160px
}

.goods .period-str {
	height: 16px;
	line-height: 16px;
	font-size: 12px;
	color: #666;
	word-break: keep-all;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis
}

.goods .goods-price {
	font-size: 14px;
	color: #f44;
	height: 20px;
	line-height: 20px;
	display: inline-block
}

.goods .num {
	font-size: 12px;
	float: right;
	color: #666;
	line-height: 20px
}

.goods .err-msg {
	font-size: 12px;
	color: #f60;
	line-height: 18px;
	margin-top: 3px
}

.goods .delete-btn {
	width: 60px;
	height: 100%;
	background: #ff4343;
	color: #fff;
	position: absolute;
	right: 0;
	top: 0;
	display: none
}

.goods .delete-btn span {
	font-size: 12px;
	left: 20px;
	position: absolute;
	top: 50%;
	margin-top: -6px
}

.is-editing .delete-btn {
	display: block
}

.period-goods {
	padding-bottom: 0 !important
}

.period-goods .sku-str {
	height: 16px;
	margin-bottom: 0
}

.swipe-delete {
	height: 100%;
	width: 60px;
	text-align: center;
	background: #ff4343;
	color: #fff;
	line-height: 1;
	font-size: 12px
}

.swipe-delete span {
	font-size: 12px;
	left: 20px;
	position: absolute;
	top: 50%;
	margin-top: -6px
}

.activity-goods {
	padding-bottom: 10px;
	margin-bottom: 10px;
	position: relative
}

.activity-goods .info {
	height: 42px;
	box-sizing: border-box;
	padding: 10px;
	font-size: 12px;
	line-height: 22px
}

.activity-goods .activity-tag {
	display: inline-block;
	color: #f44;
	border: 1px solid #f44;
	padding: 0 5px;
	height: 16px;
	line-height: 16px;
	border-radius: 3px;
	margin-right: 5px;
	vertical-align: top;
	margin-top: 2px
}

.activity-goods .text-wrap {
	float: left;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	word-break: keep-all;
	display: inline-block
}

.activity-goods .activity-tips {
	display: inline-block;
	float: right
}

.activity-goods .activity-tips a {
	color: #333
}

.activity-goods .item-text,.activity-goods .tip-content,.activity-goods .tip-content a {
	height: 22px;
	display: inline-block
}

.activity-goods .item-text {
	vertical-align: top
}

.activity-goods .icon-arrow {
	width: 6px;
	height: 22px;
	display: inline-block;
	background-size: 6px 10px;
	background-position: 50%;
	margin-left: 5px;
	background-repeat: no-repeat
}

.no-gap {
	margin-bottom: 0
}

.no-gap:after {
	display: none
}

@media screen and (max-width:320px) {
	.text-wrap {
		width: 250px
	}
}

@media screen and (min-width:321px) and (max-width:375px) {
	.text-wrap {
		width: 290px
	}
}

@media screen and (min-width:378px) {
	.text-wrap {
		width: 325px
	}
}

.shop {
	background: #fff
}

.shop .title {
	color: #999;
	font-size: 18px;
	height: 52px;
	padding: 0 0 0 10px;
	line-height: 52px;
	position: relative;
	margin-bottom: 10px
}

.shop .title .van-checkbox {
	float: left;
	margin-right: 10px
}

.shop .title .shop-name {
	display: inline-block;
	font-size: 14px;
	color: #333;
	vertical-align: top;
	line-height: 50px
}

.shop .title .edit {
	color: #38f;
	float: right;
	font-size: 12px;
	padding: 0 10px
}

.shop .shop-tips {
	border-top: 1px solid #f9ecb5;
	border-bottom: 1px solid #f9ecb5;
	font-size: 12px;
	line-height: 16px;
	padding: 10px;
	color: #f09000;
	background-color: #fdf8e4;
	text-align: center
}

.shop .goods-list {
	padding-bottom: 10px
}

.shop-list-container {
	position: relative;
	color: #333
}

.shop-list-container .title {
	box-sizing: border-box;
	height: 50px;
	font-size: 16px;
	line-height: 50px;
	position: relative;
	text-align: center;
	font-weight: 400;
	margin: 0
}

.shop-list-container .icon-cancel {
	height: 42px;
	width: 42px;
	position: absolute;
	display: inline-block;
	box-sizing: border-box;
	padding: 10px;
	top: 4px;
	right: 2px;
	background-size: 22px 22px;
	background-position: 50%
}

.shop-list-container .shop {
	box-sizing: border-box;
	height: 67px;
	padding: 15px;
	position: relative
}

.shop-list-container .shop:last-child :after {
	display: none
}

.shop-list-container .shop-list: :-webkit-scrollbar {
	display: none
}

.shop-list-container .name {
	font-size: 14px;
	line-height: 16px
}

.shop-list-container .num,.shop-list-container .price {
	display: inline-block;
	font-size: 12px;
	color: #666;
	line-height: 14px
}

.shop-list-container .price em {
	color: #f60
}

.shop-list-container .button {
	border: 1px solid #f60;
	color: #f60;
	font-size: 14px;
	height: 34px;
	width: 83px;
	position: absolute;
	line-height: 34px;
	top: 15px;
	right: 15px;
	text-align: center
}

@media screen and (max-width:320px) {
	.shop-list-container .shop-list {
		max-height: 420px;
		overflow: auto
	}
	.shop-list-container .name {
		width: 200px;
		text-overflow: ellipsis;
		white-space: nowrap;
		overflow: hidden
	}
}

@media screen and (min-width:321px) {
	.shop-list-container .shop-list {
		max-height: 480px;
		overflow: auto
	}
}

.cart-bottom {
	position: fixed;
	z-index: 100;
	bottom: 0;
	width: 100%;
	box-sizing: border-box;
	background: #fff
}

.cart-bottom .warning-bar {
	width: 100%;
	height: 35px;
	background: #fff7cc;
	color: #f60;
	font-size: 12px;
	text-align: center;
	line-height: 35px
}

.cart-bottom .select-all {
	display: inline-block;
	height: 50px;
	line-height: 50px;
	font-size: 14px;
	color: #333;
	margin-left: 10px
}

.cart-bottom .button-wrap {
	float: right
}

.cart-bottom .total-price {
	display: inline-block;
	height: 50px;
	box-sizing: border-box;
	font-size: 12px;
	line-height: 16px;
	padding-top: 8px;
	float: left;
	color: #999
}

.cart-bottom .total-price .desc {
	color: #999;
	margin: 0
}

.cart-bottom .total-price-active {
	color: #f60
}

.cart-bottom .bottom-button {
	height: 50px;
	min-width: 80px;
	margin-left: 10px
}

.cart-bottom .van-checkbox {
	float: left;
	margin-right: 5px
}

.clearfix:after {
	height: 0;
	content: "";
	visibility: hidden;
	clear: both;
	display: block
}

@media only screen and (device-width:375px) and (device-height:812px) and (-webkit-device-pixel-ratio:3) {
	.cart-bottom {
		padding-bottom: env(safe-area-inset-bottom)
	}
}

.copyright {
	color: #999;
	font-size: 12px;
	text-align: center;
	line-height: 16px
}

.copyright__ensure {
	font-size: 12px;
	margin-top: 20px
}

.copyright__ensure img {
	height: 16px;
	margin: 0 3px;
	vertical-align: text-bottom
}

.copyright__ensure img+img {
	margin-left: 5px
}

.copyright__logo {
	color: #bfbfc3;
	padding: 50px 0 40px;
	background-image: url(./images/copyright_20250805.png);
	background-position: center 17px;
	background-repeat: no-repeat;
	background-size: 180px
}

.copyright__logo img {
	width: 10px
}

.copyright__logo a {
	color: #bfbfc3
}

.invalid-goods {
	background: #fff;
	padding-bottom: 10px;
	position: relative
}

.invalid-goods .title {
	height: 40px;
	line-height: 40px;
	margin-bottom: 10px;
	text-align: center;
	background: #fafafa;
	color: #999;
	position: relative;
	font-size: 12px
}

.invalid-goods .goods .goods-card {
	margin-left: 10px
}

.clear-btn {
	width: 174px;
	height: 35px;
	line-height: 21px;
	box-sizing: border-box;
	padding: 6px 0;
	border: 1px solid #f60;
	color: #f60;
	font-size: 14px;
	margin: 0 auto;
	border-radius: 4px;
	text-align: center
}

.has-local-nav {
	padding-bottom: 50px
}

.has-local-nav .cart-bottom {
	bottom: 50px
}

.cart {
	padding-bottom: 86px
}

.cart-container {
	min-height: 400px
}

@media screen and (min-device-height:812px) {
	.cart-container {
		min-height: 600px
	}
}

@media screen and (max-device-height:640px) {
	.cart-container {
		min-height: 400px
	}
}

.cart .footer {
	min-height: 85px;
	padding-bottom: 50px
}

.cart .footer__links {
	display: none
}

@media only screen and (device-width:375px) and (device-height:812px) and (-webkit-device-pixel-ratio:3) {
	.cart .footer {
		padding-bottom: 84px
	}
}